%
clear;
f1 = fopen('function1.txt');
p1 = fscanf(f1, '%g %g', [2 inf]);
fclose(f1);
%
f2 = fopen('function2.txt');
p2 = fscanf(f2, '%g %g', [2 inf]);
fclose(f2);
%
[n1,function1_N] = size(p1);
[n2,function2_N] = size(p2);
function1_N
function2_N
N1 = function1_N;
N2 = function2_N;
%
for i = 1:N1
   r1(i) = p1(1,i);
   b1(i) = p1(2,i);
end
for i = 1:N2
   r2(i) = p2(1,i);
   b2(i) = p2(2,i);
end
%min(r1)
%max(r1)
%min(r2)
%max(r2)
%
dt = max(r1)-min(r1);
t1 = (r1-min(r1))/dt;
t1(1) = 0;
t1(N1) = 1;
%
dt = max(r2)-min(r2);
t2 = (r2-min(r2))/dt;
t2(1) = 0;
t2(N2) = 1;
%
f1=b1;
f2=b2;
%
imath=0;
if(imath)
   ispan=25
   tic;
   f1 = smooth(t1,b1,ispan);
   f2 = smooth(t2,b2,ispan);
   f1=f1';
   f2=f2';
   timing_smooth = toc;
   timing_smooth
end
%
for j = 2:N1
    del1(j) = abs(f1(j)-f1(j-1));
end
len1 = sum(del1)
for j = 2:N2
    del2(j) = abs(f2(j)-f2(j-1));
end
len2 = sum(del2)
len = len1;
if len < len2
   len = len2;
end
len
f1 = f1/len;
f2 = f2/len;
%
q12 = curve_to_q(f1,t1);
figure;
plot(t1,b1,'b-');
figure;
plot(t1,f1,'b-');
q22 = curve_to_q(f2,t2);
figure;
plot(t2,b2,'r-');
figure;
plot(t2,f2,'r-');
%
for i = 1:N1
  q1(1,i) = 0;
  q1(2,i) = q12(i);
end
for i = 1:N2
  q2(1,i) = 0;
  q2(2,i) = q22(i);
end
%
layrs = 12
lstrp = 150
iopt = 1
Energy = -1000.0;
pfly = 0;
pflp = 0;
%
imuth = 1;
tic;
if(imuth)
 [new_gamma,pfly,pflp,Energy,lbnd,hbnd] = DP_MEX_WNDSTRP(q2,q1,t2,t1,layrs,lstrp,iopt);
else
 [new_gamma,pfly,pflp,Energy]= DP_MEX_WNDSTRP(q2,q1,t2,t1,layrs,lstrp,iopt);
end
timing_gamma = toc;
%
timing_gamma
Energy
pfly
pflp
%
figure;
plot(t2,new_gamma,'b-');
%plot(t2,new_gamma,'b-','LineWidth',2);
%
b1_gamma = spline(t1,b1,new_gamma);
%figure;
%plot(t2,b1_gamma,'g-');
figure;
plot(t1,b1,'b-',t2,b2,'r-');
%plot(t1,b1,'b-',t2,b2,'r-','LineWidth',2);
figure;
plot(t2,b1_gamma,'b-',t2,b2,'r-');
%plot(t2,b1_gamma,'b-',t2,b2,'r-','LineWidth',2);
%
figure;
plot(t1,f1,'b-',t2,f2,'r-');
f1_gamma = spline(t1,f1,new_gamma);
figure;
plot(t2,f1_gamma,'b-',t2,f2,'r-');
%
if(imuth)
   [n1,lowerbnd_N] = size(lbnd);
   [n2,upperbnd_N] = size(hbnd);
   lowerbnd_N
   upperbnd_N
   figure;
   plot(lbnd(1,:),lbnd(2,:),'g.',hbnd(1,:),hbnd(2,:),'g.');
   figure;
   plot(lbnd(1,:),lbnd(2,:),'g.',hbnd(1,:),hbnd(2,:),'g.',t2,new_gamma,'b-');
end
%
